#include <kdialog.h>
#include <klocale.h>

#ifndef UI_ORGANIZECOLLECTIONDIALOG_H
#define UI_ORGANIZECOLLECTIONDIALOG_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kcombobox.h>
#include <metabundle.h>
#include "kcombobox.h"
#include "klineedit.h"

class Ui_OrganizeCollectionDialog
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *folderLabel;
    KComboBox *folderCombo;
    QVBoxLayout *vboxLayout1;
    QCheckBox *coverCheck;
    QCheckBox *ignoreTheCheck;
    QSpacerItem *spacerItem;
    Q3GroupBox *groupingGroup;
    QVBoxLayout *vboxLayout2;
    QCheckBox *customschemeCheck;
    QCheckBox *filetypeCheck;
    QCheckBox *initialCheck;
    QHBoxLayout *hboxLayout1;
    QLabel *formatLabel;
    KLineEdit *formatEdit;
    QLabel *formatHelp;
    QSpacerItem *spacerItem1;
    Q3GroupBox *replacementGroup;
    QVBoxLayout *vboxLayout3;
    QCheckBox *spaceCheck;
    QCheckBox *asciiCheck;
    QCheckBox *vfatCheck;
    QHBoxLayout *hboxLayout2;
    QLabel *textLabel1;
    KLineEdit *regexpEdit;
    QLabel *textLabel2;
    KLineEdit *replaceEdit;
    QSpacerItem *spacerItem2;
    Q3GroupBox *previewBox;
    QGridLayout *gridLayout;
    QLabel *previewText;
    QHBoxLayout *hboxLayout3;
    QSpacerItem *spacerItem3;
    QCheckBox *overwriteCheck;
    QSpacerItem *spacerItem4;

    void setupUi(QWidget *organizeCollectionDialog)
    {
    if (organizeCollectionDialog->objectName().isEmpty())
        organizeCollectionDialog->setObjectName(QString::fromUtf8("organizeCollectionDialog"));
    organizeCollectionDialog->resize(476, 549);
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(3), static_cast<QSizePolicy::Policy>(3));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(organizeCollectionDialog->sizePolicy().hasHeightForWidth());
    organizeCollectionDialog->setSizePolicy(sizePolicy);
    vboxLayout = new QVBoxLayout(organizeCollectionDialog);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(5);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    folderLabel = new QLabel(organizeCollectionDialog);
    folderLabel->setObjectName(QString::fromUtf8("folderLabel"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(5));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(folderLabel->sizePolicy().hasHeightForWidth());
    folderLabel->setSizePolicy(sizePolicy1);
    folderLabel->setWordWrap(false);

    hboxLayout->addWidget(folderLabel);

    folderCombo = new KComboBox(organizeCollectionDialog);
    folderCombo->setObjectName(QString::fromUtf8("folderCombo"));
    QSizePolicy sizePolicy2(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
    sizePolicy2.setHorizontalStretch(0);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(folderCombo->sizePolicy().hasHeightForWidth());
    folderCombo->setSizePolicy(sizePolicy2);

    hboxLayout->addWidget(folderCombo);


    vboxLayout->addLayout(hboxLayout);

    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    coverCheck = new QCheckBox(organizeCollectionDialog);
    coverCheck->setObjectName(QString::fromUtf8("coverCheck"));

    vboxLayout1->addWidget(coverCheck);

    ignoreTheCheck = new QCheckBox(organizeCollectionDialog);
    ignoreTheCheck->setObjectName(QString::fromUtf8("ignoreTheCheck"));

    vboxLayout1->addWidget(ignoreTheCheck);


    vboxLayout->addLayout(vboxLayout1);

    spacerItem = new QSpacerItem(20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem);

    groupingGroup = new Q3GroupBox(organizeCollectionDialog);
    groupingGroup->setObjectName(QString::fromUtf8("groupingGroup"));
    groupingGroup->setMargin(0);
    groupingGroup->setColumnLayout(0, Qt::Vertical);
    groupingGroup->layout()->setSpacing(6);
    groupingGroup->layout()->setMargin(5);
    vboxLayout2 = new QVBoxLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupingGroup->layout());
    if (boxlayout)
        boxlayout->addLayout(vboxLayout2);
    vboxLayout2->setAlignment(Qt::AlignTop);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    customschemeCheck = new QCheckBox(groupingGroup);
    customschemeCheck->setObjectName(QString::fromUtf8("customschemeCheck"));

    vboxLayout2->addWidget(customschemeCheck);

    filetypeCheck = new QCheckBox(groupingGroup);
    filetypeCheck->setObjectName(QString::fromUtf8("filetypeCheck"));

    vboxLayout2->addWidget(filetypeCheck);

    initialCheck = new QCheckBox(groupingGroup);
    initialCheck->setObjectName(QString::fromUtf8("initialCheck"));

    vboxLayout2->addWidget(initialCheck);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    formatLabel = new QLabel(groupingGroup);
    formatLabel->setObjectName(QString::fromUtf8("formatLabel"));
    formatLabel->setEnabled(false);
    formatLabel->setWordWrap(false);

    hboxLayout1->addWidget(formatLabel);

    formatEdit = new KLineEdit(groupingGroup);
    formatEdit->setObjectName(QString::fromUtf8("formatEdit"));
    formatEdit->setEnabled(false);

    hboxLayout1->addWidget(formatEdit);

    formatHelp = new QLabel(groupingGroup);
    formatHelp->setObjectName(QString::fromUtf8("formatHelp"));
    QSizePolicy sizePolicy3(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(formatHelp->sizePolicy().hasHeightForWidth());
    formatHelp->setSizePolicy(sizePolicy3);
    formatHelp->setWordWrap(false);

    hboxLayout1->addWidget(formatHelp);


    vboxLayout2->addLayout(hboxLayout1);


    vboxLayout->addWidget(groupingGroup);

    spacerItem1 = new QSpacerItem(20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem1);

    replacementGroup = new Q3GroupBox(organizeCollectionDialog);
    replacementGroup->setObjectName(QString::fromUtf8("replacementGroup"));
    QSizePolicy sizePolicy4(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(1));
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(replacementGroup->sizePolicy().hasHeightForWidth());
    replacementGroup->setSizePolicy(sizePolicy4);
    replacementGroup->setMargin(0);
    replacementGroup->setColumnLayout(0, Qt::Vertical);
    replacementGroup->layout()->setSpacing(6);
    replacementGroup->layout()->setMargin(5);
    vboxLayout3 = new QVBoxLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(replacementGroup->layout());
    if (boxlayout1)
        boxlayout1->addLayout(vboxLayout3);
    vboxLayout3->setAlignment(Qt::AlignTop);
    vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
    spaceCheck = new QCheckBox(replacementGroup);
    spaceCheck->setObjectName(QString::fromUtf8("spaceCheck"));

    vboxLayout3->addWidget(spaceCheck);

    asciiCheck = new QCheckBox(replacementGroup);
    asciiCheck->setObjectName(QString::fromUtf8("asciiCheck"));

    vboxLayout3->addWidget(asciiCheck);

    vfatCheck = new QCheckBox(replacementGroup);
    vfatCheck->setObjectName(QString::fromUtf8("vfatCheck"));

    vboxLayout3->addWidget(vfatCheck);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    textLabel1 = new QLabel(replacementGroup);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setWordWrap(false);

    hboxLayout2->addWidget(textLabel1);

    regexpEdit = new KLineEdit(replacementGroup);
    regexpEdit->setObjectName(QString::fromUtf8("regexpEdit"));

    hboxLayout2->addWidget(regexpEdit);

    textLabel2 = new QLabel(replacementGroup);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    textLabel2->setWordWrap(false);

    hboxLayout2->addWidget(textLabel2);

    replaceEdit = new KLineEdit(replacementGroup);
    replaceEdit->setObjectName(QString::fromUtf8("replaceEdit"));

    hboxLayout2->addWidget(replaceEdit);


    vboxLayout3->addLayout(hboxLayout2);


    vboxLayout->addWidget(replacementGroup);

    spacerItem2 = new QSpacerItem(20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem2);

    previewBox = new Q3GroupBox(organizeCollectionDialog);
    previewBox->setObjectName(QString::fromUtf8("previewBox"));
    previewBox->setColumnLayout(0, Qt::Vertical);
    previewBox->layout()->setSpacing(0);
    previewBox->layout()->setMargin(5);
    gridLayout = new QGridLayout();
    QBoxLayout *boxlayout2 = qobject_cast<QBoxLayout *>(previewBox->layout());
    if (boxlayout2)
        boxlayout2->addLayout(gridLayout);
    gridLayout->setAlignment(Qt::AlignTop);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    previewText = new QLabel(previewBox);
    previewText->setObjectName(QString::fromUtf8("previewText"));
    QSizePolicy sizePolicy5(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(5));
    sizePolicy5.setHorizontalStretch(0);
    sizePolicy5.setVerticalStretch(0);
    sizePolicy5.setHeightForWidth(previewText->sizePolicy().hasHeightForWidth());
    previewText->setSizePolicy(sizePolicy5);
    previewText->setWordWrap(false);

    gridLayout->addWidget(previewText, 0, 1, 1, 1);


    vboxLayout->addWidget(previewBox);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    spacerItem3 = new QSpacerItem(347, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout3->addItem(spacerItem3);

    overwriteCheck = new QCheckBox(organizeCollectionDialog);
    overwriteCheck->setObjectName(QString::fromUtf8("overwriteCheck"));

    hboxLayout3->addWidget(overwriteCheck);


    vboxLayout->addLayout(hboxLayout3);

    spacerItem4 = new QSpacerItem(20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout->addItem(spacerItem4);

    folderLabel->setBuddy(folderCombo);
    formatLabel->setBuddy(formatEdit);

    retranslateUi(organizeCollectionDialog);
    QObject::connect(customschemeCheck, SIGNAL(toggled(bool)), formatEdit, SLOT(setEnabled(bool)));
    QObject::connect(customschemeCheck, SIGNAL(toggled(bool)), formatLabel, SLOT(setEnabled(bool)));
    QObject::connect(customschemeCheck, SIGNAL(toggled(bool)), filetypeCheck, SLOT(setDisabled(bool)));
    QObject::connect(customschemeCheck, SIGNAL(toggled(bool)), initialCheck, SLOT(setDisabled(bool)));
    QObject::connect(formatEdit, SIGNAL(textChanged(QString)), organizeCollectionDialog, SLOT(preview(QString)));
    QObject::connect(organizeCollectionDialog, SIGNAL(updatePreview(QString)), previewText, SLOT(setText(QString)));
    QObject::connect(customschemeCheck, SIGNAL(stateChanged(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(filetypeCheck, SIGNAL(stateChanged(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(initialCheck, SIGNAL(stateChanged(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(spaceCheck, SIGNAL(stateChanged(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(asciiCheck, SIGNAL(stateChanged(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(vfatCheck, SIGNAL(stateChanged(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(ignoreTheCheck, SIGNAL(stateChanged(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(folderCombo, SIGNAL(activated(int)), organizeCollectionDialog, SLOT(update(int)));
    QObject::connect(regexpEdit, SIGNAL(textChanged(QString)), organizeCollectionDialog, SLOT(update(QString)));
    QObject::connect(replaceEdit, SIGNAL(textChanged(QString)), organizeCollectionDialog, SLOT(update(QString)));

    QMetaObject::connectSlotsByName(organizeCollectionDialog);
    } // setupUi

    void retranslateUi(QWidget *organizeCollectionDialog)
    {
    organizeCollectionDialog->setWindowTitle(tr2i18n("Organize Files", 0));
    folderLabel->setText(tr2i18n("C&ollection Folder:", 0));
    folderLabel->setProperty("toolTip", QVariant(tr2i18n("Base directory under which to put files", 0)));
    folderCombo->setProperty("toolTip", QVariant(QString()));
    coverCheck->setText(tr2i18n("&Use Cover Art for Folder Icons", 0));
    ignoreTheCheck->setText(tr2i18n("I&gnore 'The' in Artist Names", 0));
    ignoreTheCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, postfix artists' names starting with 'The' with ', The'.", 0)));
    groupingGroup->setTitle(tr2i18n("File Naming Scheme", 0));
    customschemeCheck->setText(tr2i18n("Custo&m Format", 0));
    customschemeCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, use a custom format string for naming the files in the collection", 0)));
    filetypeCheck->setText(tr2i18n("Group b&y File Type", 0));
    filetypeCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, create a directory hierarchy using the filename extension.", 0)));
    initialCheck->setText(tr2i18n("Group &by Artist's Initial", 0));
    initialCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, introduce another directory hierarchy for the artists' initials.", 0)));
    formatLabel->setText(tr2i18n("F&ilename Format:", 0));
    formatEdit->setText(QString());
    formatHelp->setText(tr2i18n("(Help)", 0));
    replacementGroup->setTitle(tr2i18n("Character Replacement", 0));
    spaceCheck->setText(tr2i18n("&Replace Spaces with Underscores", 0));
    spaceCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, convert spaces to underscores.", 0)));
    asciiCheck->setText(tr2i18n("Restrict to &ASCII", 0));
    asciiCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, replace characters that are unavailable in the 7-bit ASCII code.", 0)));
    vfatCheck->setText(tr2i18n("VFAT Safe &Names", 0));
    vfatCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, replace characters that are incompatible with MS-DOS/VFAT file systems.", 0)));
    textLabel1->setText(tr2i18n("Replace", 0));
    regexpEdit->setProperty("toolTip", QVariant(tr2i18n("Regular expression", 0)));
    textLabel2->setText(tr2i18n("with", 0));
    replaceEdit->setProperty("toolTip", QVariant(tr2i18n("Character string", 0)));
    previewBox->setTitle(tr2i18n("Destination Preview", 0));
    previewText->setText(QString());
    previewText->setProperty("toolTip", QVariant(tr2i18n("This is what the file names will look like after renaming.", 0)));
    overwriteCheck->setText(tr2i18n("Overwrite &Destination", 0));
    overwriteCheck->setProperty("toolTip", QVariant(tr2i18n("If checked, overwrite files of the same name without asking.", 0)));
    Q_UNUSED(organizeCollectionDialog);
    } // retranslateUi

};

namespace Ui {
    class OrganizeCollectionDialog: public Ui_OrganizeCollectionDialog {};
} // namespace Ui

class OrganizeCollectionDialog : public QWidget, public Ui::OrganizeCollectionDialog
{
    Q_OBJECT

public:
    OrganizeCollectionDialog(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~OrganizeCollectionDialog();

    virtual QString buildDestination( const QString & format, const MetaBundle & mb ) const;
    virtual QString buildFormatTip() const;
    virtual QString buildFormatString() const;
    virtual void setPreviewBundle( const MetaBundle & bundle );
    virtual QString cleanPath( const QString & component ) const;
    virtual void init();

public slots:
    virtual void preview( const QString & format );
    virtual void update( int dummy );
    virtual void update( const QString & dummy );
    virtual void slotDetails();

signals:
    void updatePreview( const QString & );

protected:
    MetaBundle previewBundle;
    bool detailed;

protected slots:
    virtual void languageChange();

};

#endif // ORGANIZECOLLECTIONDIALOG_H

