#include <kdialog.h>
#include <klocale.h>

#ifndef UI_DBSETUP_H
#define UI_DBSETUP_H

#include <qvariant.h>


#include <Qt3Support/Q3Frame>
#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3WidgetStack>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QSpinBox>
#include <QtGui/QWidget>
#include <kcombobox.h>
#include "kcombobox.h"
#include "klineedit.h"

class Ui_DbSetup
{
public:
    QGridLayout *gridLayout;
    Q3WidgetStack *configStack;
    QWidget *SQLLite;
    QWidget *MySQL;
    QHBoxLayout *hboxLayout;
    Q3Frame *mySqlFrame;
    QGridLayout *gridLayout1;
    Q3GroupBox *mysqlConfig;
    QGridLayout *gridLayout2;
    QLabel *textLabel1;
    QLabel *textLabel5;
    QSpinBox *kcfg_MySqlPort;
    QLabel *textLabel2;
    KLineEdit *kcfg_MySqlHost;
    KLineEdit *kcfg_MySqlDbName;
    QFrame *line1;
    QHBoxLayout *hboxLayout1;
    QLabel *textLabel3;
    KLineEdit *kcfg_MySqlUser;
    QLabel *textLabel4;
    KLineEdit *kcfg_MySqlPassword2;
    QWidget *PostgreSQL;
    QHBoxLayout *hboxLayout2;
    Q3Frame *postgreSqlFrame;
    QGridLayout *gridLayout3;
    Q3GroupBox *postgresqlConfig;
    QGridLayout *gridLayout4;
    QLabel *textLabel11;
    QLabel *textLabel51;
    QSpinBox *kcfg_PostgresqlPort;
    QLabel *textLabel21;
    KLineEdit *kcfg_PostgresqlHost;
    KLineEdit *kcfg_PostgresqlDbName;
    QFrame *line11;
    QHBoxLayout *hboxLayout3;
    QLabel *textLabel31;
    KLineEdit *kcfg_PostgresqlUser;
    QLabel *textLabel41;
    KLineEdit *kcfg_PostgresqlPassword2;
    QLabel *textLabel1_2;
    KComboBox *databaseEngine;

    void setupUi(QWidget *DbSetup)
    {
    if (DbSetup->objectName().isEmpty())
        DbSetup->setObjectName(QString::fromUtf8("DbSetup"));
    DbSetup->resize(385, 155);
    gridLayout = new QGridLayout(DbSetup);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    configStack = new Q3WidgetStack(DbSetup);
    configStack->setObjectName(QString::fromUtf8("configStack"));
    configStack->setFrameShadow(Q3WidgetStack::Plain);
    SQLLite = new QWidget(configStack);
    SQLLite->setObjectName(QString::fromUtf8("SQLLite"));
    configStack->addWidget(SQLLite, 0);
    MySQL = new QWidget(configStack);
    MySQL->setObjectName(QString::fromUtf8("MySQL"));
    hboxLayout = new QHBoxLayout(MySQL);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    hboxLayout->setContentsMargins(0, 0, 0, 0);
    mySqlFrame = new Q3Frame(MySQL);
    mySqlFrame->setObjectName(QString::fromUtf8("mySqlFrame"));
    mySqlFrame->setFrameShape(Q3Frame::NoFrame);
    mySqlFrame->setFrameShadow(Q3Frame::Raised);
    mySqlFrame->setLineWidth(0);
    gridLayout1 = new QGridLayout(mySqlFrame);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(0);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    mysqlConfig = new Q3GroupBox(mySqlFrame);
    mysqlConfig->setObjectName(QString::fromUtf8("mysqlConfig"));
    mysqlConfig->setColumnLayout(0, Qt::Vertical);
    mysqlConfig->layout()->setSpacing(6);
    mysqlConfig->layout()->setMargin(11);
    gridLayout2 = new QGridLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(mysqlConfig->layout());
    if (boxlayout)
        boxlayout->addLayout(gridLayout2);
    gridLayout2->setAlignment(Qt::AlignTop);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    textLabel1 = new QLabel(mysqlConfig);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setWordWrap(false);

    gridLayout2->addWidget(textLabel1, 0, 0, 1, 1);

    textLabel5 = new QLabel(mysqlConfig);
    textLabel5->setObjectName(QString::fromUtf8("textLabel5"));
    textLabel5->setWordWrap(false);

    gridLayout2->addWidget(textLabel5, 1, 0, 1, 1);

    kcfg_MySqlPort = new QSpinBox(mysqlConfig);
    kcfg_MySqlPort->setObjectName(QString::fromUtf8("kcfg_MySqlPort"));
    kcfg_MySqlPort->setMaximumSize(QSize(100, 32767));
    kcfg_MySqlPort->setMaximum(65535);

    gridLayout2->addWidget(kcfg_MySqlPort, 0, 3, 1, 1);

    textLabel2 = new QLabel(mysqlConfig);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    textLabel2->setWordWrap(false);

    gridLayout2->addWidget(textLabel2, 0, 2, 1, 1);

    kcfg_MySqlHost = new KLineEdit(mysqlConfig);
    kcfg_MySqlHost->setObjectName(QString::fromUtf8("kcfg_MySqlHost"));

    gridLayout2->addWidget(kcfg_MySqlHost, 0, 1, 1, 1);

    kcfg_MySqlDbName = new KLineEdit(mysqlConfig);
    kcfg_MySqlDbName->setObjectName(QString::fromUtf8("kcfg_MySqlDbName"));

    gridLayout2->addWidget(kcfg_MySqlDbName, 1, 1, 1, 1);

    line1 = new QFrame(mysqlConfig);
    line1->setObjectName(QString::fromUtf8("line1"));
    line1->setFrameShape(QFrame::HLine);
    line1->setFrameShadow(QFrame::Sunken);

    gridLayout2->addWidget(line1, 2, 0, 1, 4);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    textLabel3 = new QLabel(mysqlConfig);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    textLabel3->setWordWrap(false);

    hboxLayout1->addWidget(textLabel3);

    kcfg_MySqlUser = new KLineEdit(mysqlConfig);
    kcfg_MySqlUser->setObjectName(QString::fromUtf8("kcfg_MySqlUser"));

    hboxLayout1->addWidget(kcfg_MySqlUser);

    textLabel4 = new QLabel(mysqlConfig);
    textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
    textLabel4->setWordWrap(false);

    hboxLayout1->addWidget(textLabel4);

    kcfg_MySqlPassword2 = new KLineEdit(mysqlConfig);
    kcfg_MySqlPassword2->setObjectName(QString::fromUtf8("kcfg_MySqlPassword2"));
    kcfg_MySqlPassword2->setEchoMode(KLineEdit::Password);

    hboxLayout1->addWidget(kcfg_MySqlPassword2);


    gridLayout2->addLayout(hboxLayout1, 3, 0, 1, 4);


    gridLayout1->addWidget(mysqlConfig, 0, 0, 1, 1);


    hboxLayout->addWidget(mySqlFrame);

    configStack->addWidget(MySQL, 1);
    PostgreSQL = new QWidget(configStack);
    PostgreSQL->setObjectName(QString::fromUtf8("PostgreSQL"));
    hboxLayout2 = new QHBoxLayout(PostgreSQL);
    hboxLayout2->setSpacing(6);
    hboxLayout2->setMargin(0);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    hboxLayout2->setContentsMargins(0, 0, 0, 0);
    postgreSqlFrame = new Q3Frame(PostgreSQL);
    postgreSqlFrame->setObjectName(QString::fromUtf8("postgreSqlFrame"));
    postgreSqlFrame->setFrameShape(Q3Frame::NoFrame);
    postgreSqlFrame->setFrameShadow(Q3Frame::Raised);
    gridLayout3 = new QGridLayout(postgreSqlFrame);
    gridLayout3->setSpacing(6);
    gridLayout3->setMargin(0);
    gridLayout3->setObjectName(QString::fromUtf8("gridLayout3"));
    postgresqlConfig = new Q3GroupBox(postgreSqlFrame);
    postgresqlConfig->setObjectName(QString::fromUtf8("postgresqlConfig"));
    postgresqlConfig->setColumnLayout(0, Qt::Vertical);
    postgresqlConfig->layout()->setSpacing(6);
    postgresqlConfig->layout()->setMargin(11);
    gridLayout4 = new QGridLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(postgresqlConfig->layout());
    if (boxlayout1)
        boxlayout1->addLayout(gridLayout4);
    gridLayout4->setAlignment(Qt::AlignTop);
    gridLayout4->setObjectName(QString::fromUtf8("gridLayout4"));
    textLabel11 = new QLabel(postgresqlConfig);
    textLabel11->setObjectName(QString::fromUtf8("textLabel11"));
    textLabel11->setWordWrap(false);

    gridLayout4->addWidget(textLabel11, 0, 0, 1, 1);

    textLabel51 = new QLabel(postgresqlConfig);
    textLabel51->setObjectName(QString::fromUtf8("textLabel51"));
    textLabel51->setWordWrap(false);

    gridLayout4->addWidget(textLabel51, 1, 0, 1, 1);

    kcfg_PostgresqlPort = new QSpinBox(postgresqlConfig);
    kcfg_PostgresqlPort->setObjectName(QString::fromUtf8("kcfg_PostgresqlPort"));
    kcfg_PostgresqlPort->setMaximumSize(QSize(100, 32767));
    kcfg_PostgresqlPort->setMaximum(65535);

    gridLayout4->addWidget(kcfg_PostgresqlPort, 0, 3, 1, 1);

    textLabel21 = new QLabel(postgresqlConfig);
    textLabel21->setObjectName(QString::fromUtf8("textLabel21"));
    textLabel21->setWordWrap(false);

    gridLayout4->addWidget(textLabel21, 0, 2, 1, 1);

    kcfg_PostgresqlHost = new KLineEdit(postgresqlConfig);
    kcfg_PostgresqlHost->setObjectName(QString::fromUtf8("kcfg_PostgresqlHost"));

    gridLayout4->addWidget(kcfg_PostgresqlHost, 0, 1, 1, 1);

    kcfg_PostgresqlDbName = new KLineEdit(postgresqlConfig);
    kcfg_PostgresqlDbName->setObjectName(QString::fromUtf8("kcfg_PostgresqlDbName"));

    gridLayout4->addWidget(kcfg_PostgresqlDbName, 1, 1, 1, 1);

    line11 = new QFrame(postgresqlConfig);
    line11->setObjectName(QString::fromUtf8("line11"));
    line11->setFrameShape(QFrame::HLine);
    line11->setFrameShadow(QFrame::Sunken);

    gridLayout4->addWidget(line11, 2, 0, 1, 4);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    textLabel31 = new QLabel(postgresqlConfig);
    textLabel31->setObjectName(QString::fromUtf8("textLabel31"));
    textLabel31->setWordWrap(false);

    hboxLayout3->addWidget(textLabel31);

    kcfg_PostgresqlUser = new KLineEdit(postgresqlConfig);
    kcfg_PostgresqlUser->setObjectName(QString::fromUtf8("kcfg_PostgresqlUser"));

    hboxLayout3->addWidget(kcfg_PostgresqlUser);

    textLabel41 = new QLabel(postgresqlConfig);
    textLabel41->setObjectName(QString::fromUtf8("textLabel41"));
    textLabel41->setWordWrap(false);

    hboxLayout3->addWidget(textLabel41);

    kcfg_PostgresqlPassword2 = new KLineEdit(postgresqlConfig);
    kcfg_PostgresqlPassword2->setObjectName(QString::fromUtf8("kcfg_PostgresqlPassword2"));
    kcfg_PostgresqlPassword2->setEchoMode(KLineEdit::Password);

    hboxLayout3->addWidget(kcfg_PostgresqlPassword2);


    gridLayout4->addLayout(hboxLayout3, 3, 0, 1, 4);


    gridLayout3->addWidget(postgresqlConfig, 0, 0, 1, 1);


    hboxLayout2->addWidget(postgreSqlFrame);

    configStack->addWidget(PostgreSQL, 2);

    gridLayout->addWidget(configStack, 1, 0, 1, 2);

    textLabel1_2 = new QLabel(DbSetup);
    textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
    textLabel1_2->setWordWrap(false);

    gridLayout->addWidget(textLabel1_2, 0, 0, 1, 1);

    databaseEngine = new KComboBox(DbSetup);
    databaseEngine->setObjectName(QString::fromUtf8("databaseEngine"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(databaseEngine->sizePolicy().hasHeightForWidth());
    databaseEngine->setSizePolicy(sizePolicy);

    gridLayout->addWidget(databaseEngine, 0, 1, 1, 1);


    retranslateUi(DbSetup);
    QObject::connect(databaseEngine, SIGNAL(activated(int)), configStack, SLOT(raiseWidget(int)));
    QObject::connect(databaseEngine, SIGNAL(activated(int)), DbSetup, SLOT(databaseEngine_activated(int)));

    QMetaObject::connectSlotsByName(DbSetup);
    } // setupUi

    void retranslateUi(QWidget *DbSetup)
    {
    DbSetup->setWindowTitle(tr2i18n("Database Setup", 0));
    mysqlConfig->setTitle(tr2i18n("MySQL Configuration", 0));
    textLabel1->setText(tr2i18n("Hostname:", 0));
    textLabel5->setText(tr2i18n("Database:", 0));
    kcfg_MySqlPort->setProperty("toolTip", QVariant(tr2i18n("Which port mysql should connect to.", 0)));
    kcfg_MySqlPort->setProperty("whatsThis", QVariant(tr2i18n("Which port mysql should connect to.", 0)));
    textLabel2->setText(tr2i18n("Port:", 0));
    kcfg_MySqlHost->setProperty("toolTip", QVariant(tr2i18n("Hostname where database lives.", 0)));
    kcfg_MySqlHost->setProperty("whatsThis", QVariant(tr2i18n("Hostname where database lives.", 0)));
    kcfg_MySqlDbName->setProperty("toolTip", QVariant(tr2i18n("Name of the database.", 0)));
    kcfg_MySqlDbName->setProperty("whatsThis", QVariant(tr2i18n("Name of the database.", 0)));
    textLabel3->setText(tr2i18n("Username:", 0));
    kcfg_MySqlUser->setProperty("toolTip", QVariant(tr2i18n("Username with which to connect to.", 0)));
    kcfg_MySqlUser->setProperty("whatsThis", QVariant(tr2i18n("Username with which to connect to.", 0)));
    textLabel4->setText(tr2i18n("Password:", 0));
    kcfg_MySqlPassword2->setProperty("toolTip", QVariant(tr2i18n("Password with which to connect to.", 0)));
    kcfg_MySqlPassword2->setProperty("whatsThis", QVariant(tr2i18n("Password with which to connect to.", 0)));
    postgresqlConfig->setTitle(tr2i18n("PostgreSQL Configuration", 0));
    textLabel11->setText(tr2i18n("Hostname:", 0));
    textLabel51->setText(tr2i18n("Database:", 0));
    kcfg_PostgresqlPort->setProperty("toolTip", QVariant(tr2i18n("Which port postgresql should connect to.", 0)));
    kcfg_PostgresqlPort->setProperty("whatsThis", QVariant(tr2i18n("Which port postgresql should connect to.", 0)));
    textLabel21->setText(tr2i18n("Port:", 0));
    kcfg_PostgresqlHost->setProperty("toolTip", QVariant(tr2i18n("Hostname where database lives.", 0)));
    kcfg_PostgresqlHost->setProperty("whatsThis", QVariant(tr2i18n("Hostname where database lives.", 0)));
    kcfg_PostgresqlDbName->setProperty("toolTip", QVariant(tr2i18n("Name of the database.", 0)));
    kcfg_PostgresqlDbName->setProperty("whatsThis", QVariant(tr2i18n("Name of the database.", 0)));
    textLabel31->setText(tr2i18n("Username:", 0));
    kcfg_PostgresqlUser->setProperty("toolTip", QVariant(tr2i18n("Username with which to connect to.", 0)));
    kcfg_PostgresqlUser->setProperty("whatsThis", QVariant(tr2i18n("Username with which to connect to.", 0)));
    textLabel41->setText(tr2i18n("Password:", 0));
    kcfg_PostgresqlPassword2->setProperty("toolTip", QVariant(tr2i18n("Password with which to connect to.", 0)));
    kcfg_PostgresqlPassword2->setProperty("whatsThis", QVariant(tr2i18n("Password with which to connect to.", 0)));
    textLabel1_2->setText(tr2i18n("Database:", 0));
    databaseEngine->clear();
    databaseEngine->insertItems(0, QStringList()
     << tr2i18n("SQLite", 0)
    );
    Q_UNUSED(DbSetup);
    } // retranslateUi

};

namespace Ui {
    class DbSetup: public Ui_DbSetup {};
} // namespace Ui

class DbSetup : public QWidget, public Ui::DbSetup
{
    Q_OBJECT

public:
    DbSetup(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~DbSetup();

public slots:
    virtual void databaseEngine_activated( int item );

protected slots:
    virtual void languageChange();

private:
    virtual void init();

};

#endif // DBSETUP_H

