#include <kdialog.h>
#include <klocale.h>

#ifndef UI_XINECONFIGBASE_H
#define UI_XINECONFIGBASE_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kcombobox.h>
#include "plugin/pluginconfig.h"

class Ui_XineConfigBase
{
public:
    QVBoxLayout *vboxLayout;
    QHBoxLayout *hboxLayout;
    QLabel *xineLogo;
    QVBoxLayout *vboxLayout1;
    QVBoxLayout *vboxLayout2;
    QHBoxLayout *hboxLayout1;
    QLabel *textLabel2;
    KComboBox *deviceComboBox;
    QLabel *textLabel3;
    Q3GroupBox *alsaGroupBox;
    QGridLayout *gridLayout;
    QLabel *textLabel2_3;
    QLabel *textLabel3_3;
    QLabel *textLabel4_2;
    QLabel *chan5Label;
    QLineEdit *monoLineEdit;
    QLineEdit *stereoLineEdit;
    QLineEdit *chan4LineEdit;
    QLineEdit *chan5LineEdit;
    Q3GroupBox *ossGroupBox;
    QHBoxLayout *hboxLayout2;
    QLabel *textLabel1;
    QComboBox *ossDeviceComboBox;
    QHBoxLayout *hboxLayout3;
    QLabel *textLabel1_2;
    QComboBox *speakerComboBox;
    Q3GroupBox *groupBox1;
    QVBoxLayout *vboxLayout3;
    QHBoxLayout *hboxLayout4;
    QLabel *textLabel2_2;
    QLineEdit *hostLineEdit;
    QSpinBox *portIntBox;
    QHBoxLayout *hboxLayout5;
    QLabel *textLabel3_2;
    QLineEdit *userLineEdit;
    QLabel *textLabel4;
    QLineEdit *passLineEdit;
    Q3GroupBox *audiocdGroupBox;
    QHBoxLayout *hboxLayout6;
    QVBoxLayout *vboxLayout4;
    QLabel *textLabel2_3_2;
    QLabel *textLabel2_2_2;
    QLabel *textLabel2_3_2_2;
    QVBoxLayout *vboxLayout5;
    QLineEdit *audiocd_device;
    QHBoxLayout *hboxLayout7;
    QLineEdit *cddb_server;
    QSpinBox *cddb_port;
    QLineEdit *cddb_cache_dir;
    QSpacerItem *spacerItem;

    void setupUi(QWidget *XineConfigBase)
    {
    if (XineConfigBase->objectName().isEmpty())
        XineConfigBase->setObjectName(QString::fromUtf8("XineConfigBase"));
    XineConfigBase->resize(437, 458);
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(5), static_cast<QSizePolicy::Policy>(5));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(XineConfigBase->sizePolicy().hasHeightForWidth());
    XineConfigBase->setSizePolicy(sizePolicy);
    vboxLayout = new QVBoxLayout(XineConfigBase);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(0);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    xineLogo = new QLabel(XineConfigBase);
    xineLogo->setObjectName(QString::fromUtf8("xineLogo"));
    xineLogo->setFrameShape(QFrame::StyledPanel);
    xineLogo->setFrameShadow(QFrame::Raised);
    xineLogo->setMargin(1);
    xineLogo->setAlignment(Qt::AlignCenter);
    xineLogo->setWordWrap(false);

    hboxLayout->addWidget(xineLogo);

    vboxLayout1 = new QVBoxLayout();
    vboxLayout1->setSpacing(6);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    vboxLayout2 = new QVBoxLayout();
    vboxLayout2->setSpacing(6);
    vboxLayout2->setObjectName(QString::fromUtf8("vboxLayout2"));
    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    textLabel2 = new QLabel(XineConfigBase);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    textLabel2->setWordWrap(false);

    hboxLayout1->addWidget(textLabel2);

    deviceComboBox = new KComboBox(XineConfigBase);
    deviceComboBox->setObjectName(QString::fromUtf8("deviceComboBox"));

    hboxLayout1->addWidget(deviceComboBox);


    vboxLayout2->addLayout(hboxLayout1);

    textLabel3 = new QLabel(XineConfigBase);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    QSizePolicy sizePolicy1(static_cast<QSizePolicy::Policy>(1), static_cast<QSizePolicy::Policy>(1));
    sizePolicy1.setHorizontalStretch(0);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(textLabel3->sizePolicy().hasHeightForWidth());
    textLabel3->setSizePolicy(sizePolicy1);
    textLabel3->setAlignment(Qt::AlignVCenter);
    textLabel3->setWordWrap(true);

    vboxLayout2->addWidget(textLabel3);

    alsaGroupBox = new Q3GroupBox(XineConfigBase);
    alsaGroupBox->setObjectName(QString::fromUtf8("alsaGroupBox"));
    alsaGroupBox->setColumnLayout(0, Qt::Vertical);
    alsaGroupBox->layout()->setSpacing(6);
    alsaGroupBox->layout()->setMargin(11);
    gridLayout = new QGridLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(alsaGroupBox->layout());
    if (boxlayout)
        boxlayout->addLayout(gridLayout);
    gridLayout->setAlignment(Qt::AlignTop);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    textLabel2_3 = new QLabel(alsaGroupBox);
    textLabel2_3->setObjectName(QString::fromUtf8("textLabel2_3"));
    textLabel2_3->setWordWrap(false);

    gridLayout->addWidget(textLabel2_3, 0, 0, 1, 1);

    textLabel3_3 = new QLabel(alsaGroupBox);
    textLabel3_3->setObjectName(QString::fromUtf8("textLabel3_3"));
    textLabel3_3->setWordWrap(false);

    gridLayout->addWidget(textLabel3_3, 1, 0, 1, 1);

    textLabel4_2 = new QLabel(alsaGroupBox);
    textLabel4_2->setObjectName(QString::fromUtf8("textLabel4_2"));
    textLabel4_2->setWordWrap(false);

    gridLayout->addWidget(textLabel4_2, 0, 2, 1, 1);

    chan5Label = new QLabel(alsaGroupBox);
    chan5Label->setObjectName(QString::fromUtf8("chan5Label"));
    chan5Label->setWordWrap(false);

    gridLayout->addWidget(chan5Label, 1, 2, 1, 1);

    monoLineEdit = new QLineEdit(alsaGroupBox);
    monoLineEdit->setObjectName(QString::fromUtf8("monoLineEdit"));

    gridLayout->addWidget(monoLineEdit, 0, 1, 1, 1);

    stereoLineEdit = new QLineEdit(alsaGroupBox);
    stereoLineEdit->setObjectName(QString::fromUtf8("stereoLineEdit"));

    gridLayout->addWidget(stereoLineEdit, 1, 1, 1, 1);

    chan4LineEdit = new QLineEdit(alsaGroupBox);
    chan4LineEdit->setObjectName(QString::fromUtf8("chan4LineEdit"));

    gridLayout->addWidget(chan4LineEdit, 0, 3, 1, 1);

    chan5LineEdit = new QLineEdit(alsaGroupBox);
    chan5LineEdit->setObjectName(QString::fromUtf8("chan5LineEdit"));

    gridLayout->addWidget(chan5LineEdit, 1, 3, 1, 1);


    vboxLayout2->addWidget(alsaGroupBox);

    ossGroupBox = new Q3GroupBox(XineConfigBase);
    ossGroupBox->setObjectName(QString::fromUtf8("ossGroupBox"));
    ossGroupBox->setColumnLayout(0, Qt::Vertical);
    ossGroupBox->layout()->setSpacing(6);
    ossGroupBox->layout()->setMargin(11);
    hboxLayout2 = new QHBoxLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(ossGroupBox->layout());
    if (boxlayout1)
        boxlayout1->addLayout(hboxLayout2);
    hboxLayout2->setAlignment(Qt::AlignTop);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    textLabel1 = new QLabel(ossGroupBox);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setWordWrap(false);

    hboxLayout2->addWidget(textLabel1);

    ossDeviceComboBox = new QComboBox(ossGroupBox);
    ossDeviceComboBox->setObjectName(QString::fromUtf8("ossDeviceComboBox"));

    hboxLayout2->addWidget(ossDeviceComboBox);


    vboxLayout2->addWidget(ossGroupBox);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    textLabel1_2 = new QLabel(XineConfigBase);
    textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
    textLabel1_2->setWordWrap(false);

    hboxLayout3->addWidget(textLabel1_2);

    speakerComboBox = new QComboBox(XineConfigBase);
    speakerComboBox->setObjectName(QString::fromUtf8("speakerComboBox"));

    hboxLayout3->addWidget(speakerComboBox);


    vboxLayout2->addLayout(hboxLayout3);

    groupBox1 = new Q3GroupBox(XineConfigBase);
    groupBox1->setObjectName(QString::fromUtf8("groupBox1"));
    groupBox1->setColumnLayout(0, Qt::Vertical);
    groupBox1->layout()->setSpacing(6);
    groupBox1->layout()->setMargin(11);
    vboxLayout3 = new QVBoxLayout();
    QBoxLayout *boxlayout2 = qobject_cast<QBoxLayout *>(groupBox1->layout());
    if (boxlayout2)
        boxlayout2->addLayout(vboxLayout3);
    vboxLayout3->setAlignment(Qt::AlignTop);
    vboxLayout3->setObjectName(QString::fromUtf8("vboxLayout3"));
    hboxLayout4 = new QHBoxLayout();
    hboxLayout4->setSpacing(6);
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    textLabel2_2 = new QLabel(groupBox1);
    textLabel2_2->setObjectName(QString::fromUtf8("textLabel2_2"));
    textLabel2_2->setWordWrap(false);

    hboxLayout4->addWidget(textLabel2_2);

    hostLineEdit = new QLineEdit(groupBox1);
    hostLineEdit->setObjectName(QString::fromUtf8("hostLineEdit"));

    hboxLayout4->addWidget(hostLineEdit);

    portIntBox = new QSpinBox(groupBox1);
    portIntBox->setObjectName(QString::fromUtf8("portIntBox"));
    portIntBox->setMaximum(65534);
    portIntBox->setMinimum(1);
    portIntBox->setValue(60000);

    hboxLayout4->addWidget(portIntBox);


    vboxLayout3->addLayout(hboxLayout4);

    hboxLayout5 = new QHBoxLayout();
    hboxLayout5->setSpacing(6);
    hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
    textLabel3_2 = new QLabel(groupBox1);
    textLabel3_2->setObjectName(QString::fromUtf8("textLabel3_2"));
    textLabel3_2->setWordWrap(false);

    hboxLayout5->addWidget(textLabel3_2);

    userLineEdit = new QLineEdit(groupBox1);
    userLineEdit->setObjectName(QString::fromUtf8("userLineEdit"));

    hboxLayout5->addWidget(userLineEdit);

    textLabel4 = new QLabel(groupBox1);
    textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
    textLabel4->setWordWrap(false);

    hboxLayout5->addWidget(textLabel4);

    passLineEdit = new QLineEdit(groupBox1);
    passLineEdit->setObjectName(QString::fromUtf8("passLineEdit"));
    passLineEdit->setEchoMode(QLineEdit::Password);

    hboxLayout5->addWidget(passLineEdit);


    vboxLayout3->addLayout(hboxLayout5);


    vboxLayout2->addWidget(groupBox1);

    audiocdGroupBox = new Q3GroupBox(XineConfigBase);
    audiocdGroupBox->setObjectName(QString::fromUtf8("audiocdGroupBox"));
    audiocdGroupBox->setColumnLayout(0, Qt::Vertical);
    audiocdGroupBox->layout()->setSpacing(6);
    audiocdGroupBox->layout()->setMargin(11);
    hboxLayout6 = new QHBoxLayout();
    QBoxLayout *boxlayout3 = qobject_cast<QBoxLayout *>(audiocdGroupBox->layout());
    if (boxlayout3)
        boxlayout3->addLayout(hboxLayout6);
    hboxLayout6->setAlignment(Qt::AlignTop);
    hboxLayout6->setObjectName(QString::fromUtf8("hboxLayout6"));
    vboxLayout4 = new QVBoxLayout();
    vboxLayout4->setSpacing(6);
    vboxLayout4->setObjectName(QString::fromUtf8("vboxLayout4"));
    textLabel2_3_2 = new QLabel(audiocdGroupBox);
    textLabel2_3_2->setObjectName(QString::fromUtf8("textLabel2_3_2"));
    textLabel2_3_2->setWordWrap(false);

    vboxLayout4->addWidget(textLabel2_3_2);

    textLabel2_2_2 = new QLabel(audiocdGroupBox);
    textLabel2_2_2->setObjectName(QString::fromUtf8("textLabel2_2_2"));
    textLabel2_2_2->setWordWrap(false);

    vboxLayout4->addWidget(textLabel2_2_2);

    textLabel2_3_2_2 = new QLabel(audiocdGroupBox);
    textLabel2_3_2_2->setObjectName(QString::fromUtf8("textLabel2_3_2_2"));
    textLabel2_3_2_2->setWordWrap(false);

    vboxLayout4->addWidget(textLabel2_3_2_2);


    hboxLayout6->addLayout(vboxLayout4);

    vboxLayout5 = new QVBoxLayout();
    vboxLayout5->setSpacing(6);
    vboxLayout5->setObjectName(QString::fromUtf8("vboxLayout5"));
    audiocd_device = new QLineEdit(audiocdGroupBox);
    audiocd_device->setObjectName(QString::fromUtf8("audiocd_device"));

    vboxLayout5->addWidget(audiocd_device);

    hboxLayout7 = new QHBoxLayout();
    hboxLayout7->setSpacing(6);
    hboxLayout7->setObjectName(QString::fromUtf8("hboxLayout7"));
    cddb_server = new QLineEdit(audiocdGroupBox);
    cddb_server->setObjectName(QString::fromUtf8("cddb_server"));

    hboxLayout7->addWidget(cddb_server);

    cddb_port = new QSpinBox(audiocdGroupBox);
    cddb_port->setObjectName(QString::fromUtf8("cddb_port"));
    cddb_port->setMaximum(65534);
    cddb_port->setMinimum(1);
    cddb_port->setValue(60000);

    hboxLayout7->addWidget(cddb_port);


    vboxLayout5->addLayout(hboxLayout7);

    cddb_cache_dir = new QLineEdit(audiocdGroupBox);
    cddb_cache_dir->setObjectName(QString::fromUtf8("cddb_cache_dir"));

    vboxLayout5->addWidget(cddb_cache_dir);


    hboxLayout6->addLayout(vboxLayout5);


    vboxLayout2->addWidget(audiocdGroupBox);


    vboxLayout1->addLayout(vboxLayout2);

    spacerItem = new QSpacerItem(20, 16, QSizePolicy::Minimum, QSizePolicy::Expanding);

    vboxLayout1->addItem(spacerItem);


    hboxLayout->addLayout(vboxLayout1);


    vboxLayout->addLayout(hboxLayout);

    textLabel2->setBuddy(deviceComboBox);
    textLabel2_3->setBuddy(monoLineEdit);
    textLabel3_3->setBuddy(stereoLineEdit);
    textLabel4_2->setBuddy(chan4LineEdit);
    chan5Label->setBuddy(chan5LineEdit);
    textLabel1->setBuddy(ossDeviceComboBox);
    textLabel1_2->setBuddy(speakerComboBox);
    textLabel2_2->setBuddy(hostLineEdit);
    textLabel3_2->setBuddy(userLineEdit);
    textLabel4->setBuddy(passLineEdit);
    textLabel2_3_2->setBuddy(monoLineEdit);
    textLabel2_2_2->setBuddy(hostLineEdit);
    textLabel2_3_2_2->setBuddy(monoLineEdit);

    retranslateUi(XineConfigBase);

    QMetaObject::connectSlotsByName(XineConfigBase);
    } // setupUi

    void retranslateUi(QWidget *XineConfigBase)
    {
    XineConfigBase->setWindowTitle(tr2i18n("Xine Configure", 0));
    xineLogo->setText(QString());
    textLabel2->setText(tr2i18n("&Output plugin:", 0));
    textLabel3->setText(tr2i18n("Sound device may be modified after the output plugin has been changed to ALSA or OSS.", 0));
    alsaGroupBox->setTitle(tr2i18n("ALSA Device Configuration", 0));
    textLabel2_3->setText(tr2i18n("&Mono:", 0));
    textLabel3_3->setText(tr2i18n("&Stereo:", 0));
    textLabel4_2->setText(tr2i18n("&4 Channels:", 0));
    chan5Label->setText(tr2i18n("&6 Channels:", 0));
    ossGroupBox->setTitle(tr2i18n("OSS Device Configuration", 0));
    textLabel1->setText(tr2i18n("&Device:", 0));
    textLabel1_2->setText(tr2i18n("Speaker &arrangement:", 0));
    groupBox1->setTitle(tr2i18n("HTTP Proxy for Streaming", 0));
    textLabel2_2->setText(tr2i18n("&Host:", 0));
    textLabel3_2->setText(tr2i18n("&User:", 0));
    textLabel4->setText(tr2i18n("&Password:", 0));
    audiocdGroupBox->setTitle(tr2i18n("Audio CD Configuration", 0));
    textLabel2_3_2->setText(tr2i18n("Default device:", 0));
    textLabel2_2_2->setText(tr2i18n("CDDB Server:", 0));
    textLabel2_3_2_2->setText(tr2i18n("CDDB Cache dir:", 0));
    audiocd_device->setText(QString());
    cddb_cache_dir->setText(QString());
    Q_UNUSED(XineConfigBase);
    } // retranslateUi

};

namespace Ui {
    class XineConfigBase: public Ui_XineConfigBase {};
} // namespace Ui

class XineConfigBase : public QWidget, public Ui::XineConfigBase
{
    Q_OBJECT

public:
    XineConfigBase(QWidget* parent = 0, const char* name = 0, Qt::WindowFlags fl = 0);
    ~XineConfigBase();

protected slots:
    virtual void languageChange();

};

#endif // XINECONFIGBASE_H

