#include <kdialog.h>
#include <klocale.h>

#ifndef UI_MAGNATUNEDOWNLOADDIALOGBASE_H
#define UI_MAGNATUNEDOWNLOADDIALOGBASE_H

#include <qvariant.h>


#include <Qt3Support/Q3GroupBox>
#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3TextEdit>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QComboBox>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include "klineedit.h"
#include "kpushbutton.h"
#include "kurlrequester.h"

class Ui_MagnatuneDownloadDialogBase
{
public:
    QGridLayout *gridLayout;
    QPushButton *downloadButton;
    Q3GroupBox *groupBox2;
    QGridLayout *gridLayout1;
    Q3TextEdit *infoEdit;
    Q3GroupBox *groupBox1;
    QGridLayout *gridLayout2;
    QComboBox *formatComboBox;
    KUrlRequester *downloadTargetURLRequester;
    QLabel *textLabel1;
    QLabel *textLabel2;
    QLabel *textLabel1_2;

    void setupUi(QDialog *MagnatuneDownloadDialogBase)
    {
    if (MagnatuneDownloadDialogBase->objectName().isEmpty())
        MagnatuneDownloadDialogBase->setObjectName(QString::fromUtf8("MagnatuneDownloadDialogBase"));
    MagnatuneDownloadDialogBase->resize(526, 568);
    gridLayout = new QGridLayout(MagnatuneDownloadDialogBase);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    downloadButton = new QPushButton(MagnatuneDownloadDialogBase);
    downloadButton->setObjectName(QString::fromUtf8("downloadButton"));

    gridLayout->addWidget(downloadButton, 2, 0, 1, 1);

    groupBox2 = new Q3GroupBox(MagnatuneDownloadDialogBase);
    groupBox2->setObjectName(QString::fromUtf8("groupBox2"));
    groupBox2->setColumnLayout(0, Qt::Vertical);
    groupBox2->layout()->setSpacing(6);
    groupBox2->layout()->setMargin(11);
    gridLayout1 = new QGridLayout();
    QBoxLayout *boxlayout = qobject_cast<QBoxLayout *>(groupBox2->layout());
    if (boxlayout)
        boxlayout->addLayout(gridLayout1);
    gridLayout1->setAlignment(Qt::AlignTop);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    infoEdit = new Q3TextEdit(groupBox2);
    infoEdit->setObjectName(QString::fromUtf8("infoEdit"));
    infoEdit->setHScrollBarMode(Q3ScrollView::AlwaysOff);

    gridLayout1->addWidget(infoEdit, 0, 0, 1, 1);


    gridLayout->addWidget(groupBox2, 1, 0, 1, 1);

    groupBox1 = new Q3GroupBox(MagnatuneDownloadDialogBase);
    groupBox1->setObjectName(QString::fromUtf8("groupBox1"));
    groupBox1->setColumnLayout(0, Qt::Vertical);
    groupBox1->layout()->setSpacing(6);
    groupBox1->layout()->setMargin(11);
    gridLayout2 = new QGridLayout();
    QBoxLayout *boxlayout1 = qobject_cast<QBoxLayout *>(groupBox1->layout());
    if (boxlayout1)
        boxlayout1->addLayout(gridLayout2);
    gridLayout2->setAlignment(Qt::AlignTop);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    formatComboBox = new QComboBox(groupBox1);
    formatComboBox->setObjectName(QString::fromUtf8("formatComboBox"));

    gridLayout2->addWidget(formatComboBox, 0, 1, 1, 1);

    downloadTargetURLRequester = new KUrlRequester(groupBox1);
    downloadTargetURLRequester->setObjectName(QString::fromUtf8("downloadTargetURLRequester"));

    gridLayout2->addWidget(downloadTargetURLRequester, 1, 1, 1, 1);

    textLabel1 = new QLabel(groupBox1);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setWordWrap(false);

    gridLayout2->addWidget(textLabel1, 0, 0, 1, 1);

    textLabel2 = new QLabel(groupBox1);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    textLabel2->setWordWrap(false);

    gridLayout2->addWidget(textLabel2, 1, 0, 1, 1);

    textLabel1_2 = new QLabel(groupBox1);
    textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
    textLabel1_2->setAlignment(Qt::AlignVCenter);
    textLabel1_2->setWordWrap(true);

    gridLayout2->addWidget(textLabel1_2, 2, 0, 1, 2);


    gridLayout->addWidget(groupBox1, 0, 0, 1, 1);


    retranslateUi(MagnatuneDownloadDialogBase);
    QObject::connect(downloadButton, SIGNAL(clicked()), MagnatuneDownloadDialogBase, SLOT(downloadButtonClicked()));

    QMetaObject::connectSlotsByName(MagnatuneDownloadDialogBase);
    } // setupUi

    void retranslateUi(QDialog *MagnatuneDownloadDialogBase)
    {
    MagnatuneDownloadDialogBase->setWindowTitle(tr2i18n("Magnatune.com Album Download", 0));
    downloadButton->setText(tr2i18n("&Download", 0));
    groupBox2->setTitle(tr2i18n("Magnatune info", 0));
    groupBox1->setTitle(tr2i18n("Download options", 0));
    textLabel1->setText(tr2i18n("Select Format:", 0));
    textLabel2->setText(tr2i18n("Download to:", 0));
    textLabel1_2->setText(tr2i18n("If you download to a location that is already being monitored by Amarok, the album will automatically be added to your collection.", 0));
    Q_UNUSED(MagnatuneDownloadDialogBase);
    } // retranslateUi

};

namespace Ui {
    class MagnatuneDownloadDialogBase: public Ui_MagnatuneDownloadDialogBase {};
} // namespace Ui

class MagnatuneDownloadDialogBase : public QDialog, public Ui::MagnatuneDownloadDialogBase
{
    Q_OBJECT

public:
    MagnatuneDownloadDialogBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~MagnatuneDownloadDialogBase();

protected slots:
    virtual void languageChange();

    virtual void downloadButtonClicked();


};

#endif // MAGNATUNEDOWNLOADDIALOGBASE_H

