#include <kdialog.h>
#include <klocale.h>

#ifndef UI_MAGNATUNEREDOWNLOADDIALOGBASE_H
#define UI_MAGNATUNEREDOWNLOADDIALOGBASE_H

#include <qvariant.h>


#include <Qt3Support/Q3Header>
#include <Qt3Support/Q3ListView>
#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include "Q3ListView"

class Ui_magnatuneReDownloadDialogBase
{
public:
    QGridLayout *gridLayout;
    QLabel *textLabel1;
    QPushButton *redownloadButton;
    QPushButton *cancelButton;
    QSpacerItem *spacerItem;
    Q3ListView *redownloadListView;

    void setupUi(QDialog *magnatuneReDownloadDialogBase)
    {
    if (magnatuneReDownloadDialogBase->objectName().isEmpty())
        magnatuneReDownloadDialogBase->setObjectName(QString::fromUtf8("magnatuneReDownloadDialogBase"));
    magnatuneReDownloadDialogBase->resize(466, 431);
    gridLayout = new QGridLayout(magnatuneReDownloadDialogBase);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    textLabel1 = new QLabel(magnatuneReDownloadDialogBase);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setWordWrap(false);

    gridLayout->addWidget(textLabel1, 0, 0, 1, 3);

    redownloadButton = new QPushButton(magnatuneReDownloadDialogBase);
    redownloadButton->setObjectName(QString::fromUtf8("redownloadButton"));

    gridLayout->addWidget(redownloadButton, 2, 1, 1, 1);

    cancelButton = new QPushButton(magnatuneReDownloadDialogBase);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    gridLayout->addWidget(cancelButton, 2, 2, 1, 1);

    spacerItem = new QSpacerItem(170, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout->addItem(spacerItem, 2, 0, 1, 1);

    redownloadListView = new Q3ListView(magnatuneReDownloadDialogBase);
    redownloadListView->addColumn(tr2i18n("Artist - Album", 0));
    redownloadListView->header()->setClickEnabled(true, redownloadListView->header()->count() - 1);
    redownloadListView->header()->setResizeEnabled(true, redownloadListView->header()->count() - 1);
    redownloadListView->setObjectName(QString::fromUtf8("redownloadListView"));

    gridLayout->addWidget(redownloadListView, 1, 0, 1, 3);


    retranslateUi(magnatuneReDownloadDialogBase);
    QObject::connect(redownloadButton, SIGNAL(clicked()), magnatuneReDownloadDialogBase, SLOT(redownload()));
    QObject::connect(cancelButton, SIGNAL(clicked()), magnatuneReDownloadDialogBase, SLOT(reject()));
    QObject::connect(redownloadListView, SIGNAL(selectionChanged()), magnatuneReDownloadDialogBase, SLOT(selectionChanged()));

    QMetaObject::connectSlotsByName(magnatuneReDownloadDialogBase);
    } // setupUi

    void retranslateUi(QDialog *magnatuneReDownloadDialogBase)
    {
    magnatuneReDownloadDialogBase->setWindowTitle(tr2i18n("Redownload manager", 0));
    textLabel1->setText(tr2i18n("These are the albums that you have previously downloaded:", 0));
    redownloadButton->setText(tr2i18n("Re&download", 0));
    cancelButton->setText(tr2i18n("&Cancel", 0));
    redownloadListView->header()->setLabel(0, tr2i18n("Artist - Album", 0));
    Q_UNUSED(magnatuneReDownloadDialogBase);
    } // retranslateUi

};

namespace Ui {
    class magnatuneReDownloadDialogBase: public Ui_magnatuneReDownloadDialogBase {};
} // namespace Ui

class magnatuneReDownloadDialogBase : public QDialog, public Ui::magnatuneReDownloadDialogBase
{
    Q_OBJECT

public:
    magnatuneReDownloadDialogBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~magnatuneReDownloadDialogBase();

protected slots:
    virtual void languageChange();

    virtual void redownload();
    virtual void selectionChanged();


};

#endif // MAGNATUNEREDOWNLOADDIALOGBASE_H

