#include <kdialog.h>
#include <klocale.h>

#ifndef UI_TAGDIALOGBASE_H
#define UI_TAGDIALOGBASE_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QCheckBox>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSpinBox>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include <kcombobox.h>
#include "CoverFetcher.h"
#include "kcombobox.h"
#include "klineedit.h"
#include "knuminput.h"
#include "ktabwidget.h"
#include "ktextedit.h"

class Ui_TagDialogBase
{
public:
    QGridLayout *gridLayout;
    QHBoxLayout *hboxLayout;
    QPushButton *pushButton_previous;
    QPushButton *pushButton_next;
    QCheckBox *checkBox_perTrack;
    QSpacerItem *spacerItem;
    QPushButton *pushButton_ok;
    QPushButton *pushButton_cancel;
    QHBoxLayout *hboxLayout1;
    QLabel *locationLabel;
    KLineEdit *kLineEdit_location;
    QPushButton *pushButton_open;
    KTabWidget *kTabWidget;
    QWidget *summaryTab;
    QGridLayout *gridLayout1;
    CoverLabel *pixmap_cover;
    QLabel *trackArtistAlbumLabel;
    QFrame *line1;
    QSpacerItem *spacerItem1;
    QLabel *summaryLabel;
    QWidget *tagsTab;
    QGridLayout *gridLayout2;
    QLabel *textLabel1_2;
    QLabel *textLabel1;
    QLabel *textLabel1_6_6;
    QHBoxLayout *hboxLayout2;
    QPushButton *pushButton_guessTags;
    QPushButton *pushButton_setFilenameSchemes;
    QLabel *textLabel_comment;
    QPushButton *pushButton_musicbrainz;
    QLabel *textLabel1_4;
    KComboBox *kComboBox_genre;
    KLineEdit *kLineEdit_title;
    QHBoxLayout *hboxLayout3;
    QSpinBox *qSpinBox_track;
    QLabel *textLabel1_5;
    QSpinBox *qSpinBox_year;
    KTextEdit *kTextEdit_comment;
    QLabel *textLabel1_3;
    QLabel *textLabel1_3_2;
    QHBoxLayout *hboxLayout4;
    KComboBox *kComboBox_album;
    QLabel *textLabel1_3_2_2;
    QSpinBox *qSpinBox_discNumber;
    KComboBox *kComboBox_composer;
    KComboBox *kComboBox_artist;
    QWidget *lyricsTab;
    QHBoxLayout *hboxLayout5;
    KTextEdit *kTextEdit_lyrics;
    QWidget *statisticsTab;
    QGridLayout *gridLayout3;
    QLabel *trackArtistAlbumLabel2;
    QSpacerItem *spacerItem2;
    QLabel *statisticsLabel;
    QSpacerItem *spacerItem3;
    QLabel *scoreLabel;
    QLabel *ratingLabel;
    QSpinBox *qSpinBox_score;
    KComboBox *kComboBox_rating;
    QWidget *labelsTab;
    QVBoxLayout *vboxLayout;
    QLabel *labels_favouriteLabels;
    QWidget *labels_favouriteLabelsFrame;
    QLabel *labels_explanation;
    KTextEdit *kTextEdit_selectedLabels;

    void setupUi(QDialog *TagDialogBase)
    {
    if (TagDialogBase->objectName().isEmpty())
        TagDialogBase->setObjectName(QString::fromUtf8("TagDialogBase"));
    TagDialogBase->resize(741, 527);
    gridLayout = new QGridLayout(TagDialogBase);
    gridLayout->setSpacing(6);
    gridLayout->setMargin(11);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    pushButton_previous = new QPushButton(TagDialogBase);
    pushButton_previous->setObjectName(QString::fromUtf8("pushButton_previous"));

    hboxLayout->addWidget(pushButton_previous);

    pushButton_next = new QPushButton(TagDialogBase);
    pushButton_next->setObjectName(QString::fromUtf8("pushButton_next"));

    hboxLayout->addWidget(pushButton_next);

    checkBox_perTrack = new QCheckBox(TagDialogBase);
    checkBox_perTrack->setObjectName(QString::fromUtf8("checkBox_perTrack"));

    hboxLayout->addWidget(checkBox_perTrack);

    spacerItem = new QSpacerItem(215, 30, QSizePolicy::MinimumExpanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    pushButton_ok = new QPushButton(TagDialogBase);
    pushButton_ok->setObjectName(QString::fromUtf8("pushButton_ok"));
    pushButton_ok->setAutoDefault(true);
    pushButton_ok->setDefault(true);

    hboxLayout->addWidget(pushButton_ok);

    pushButton_cancel = new QPushButton(TagDialogBase);
    pushButton_cancel->setObjectName(QString::fromUtf8("pushButton_cancel"));
    pushButton_cancel->setAutoDefault(true);
    pushButton_cancel->setDefault(false);
    pushButton_cancel->setFlat(false);

    hboxLayout->addWidget(pushButton_cancel);


    gridLayout->addLayout(hboxLayout, 2, 0, 1, 1);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    locationLabel = new QLabel(TagDialogBase);
    locationLabel->setObjectName(QString::fromUtf8("locationLabel"));
    locationLabel->setWordWrap(false);

    hboxLayout1->addWidget(locationLabel);

    kLineEdit_location = new KLineEdit(TagDialogBase);
    kLineEdit_location->setObjectName(QString::fromUtf8("kLineEdit_location"));
    kLineEdit_location->setFocusPolicy(Qt::StrongFocus);
    kLineEdit_location->setReadOnly(true);
    kLineEdit_location->setSqueezedTextEnabled(true);

    hboxLayout1->addWidget(kLineEdit_location);

    pushButton_open = new QPushButton(TagDialogBase);
    pushButton_open->setObjectName(QString::fromUtf8("pushButton_open"));
    pushButton_open->setAutoDefault(false);

    hboxLayout1->addWidget(pushButton_open);


    gridLayout->addLayout(hboxLayout1, 1, 0, 1, 1);

    kTabWidget = new KTabWidget(TagDialogBase);
    kTabWidget->setObjectName(QString::fromUtf8("kTabWidget"));
    kTabWidget->setCurrentPage(4);
    summaryTab = new QWidget(kTabWidget);
    summaryTab->setObjectName(QString::fromUtf8("summaryTab"));
    gridLayout1 = new QGridLayout(summaryTab);
    gridLayout1->setSpacing(6);
    gridLayout1->setMargin(11);
    gridLayout1->setObjectName(QString::fromUtf8("gridLayout1"));
    gridLayout1->setContentsMargins(0, 0, 0, 0);
    pixmap_cover = new CoverLabel(summaryTab);
    pixmap_cover->setObjectName(QString::fromUtf8("pixmap_cover"));
    pixmap_cover->setMinimumSize(QSize(100, 100));
    pixmap_cover->setMaximumSize(QSize(85, 85));

    gridLayout1->addWidget(pixmap_cover, 0, 0, 1, 1);

    trackArtistAlbumLabel = new QLabel(summaryTab);
    trackArtistAlbumLabel->setObjectName(QString::fromUtf8("trackArtistAlbumLabel"));
    trackArtistAlbumLabel->setAlignment(Qt::AlignVCenter);
    trackArtistAlbumLabel->setWordWrap(true);

    gridLayout1->addWidget(trackArtistAlbumLabel, 0, 1, 1, 1);

    line1 = new QFrame(summaryTab);
    line1->setObjectName(QString::fromUtf8("line1"));
    line1->setFrameShape(QFrame::HLine);
    line1->setFrameShadow(QFrame::Sunken);

    gridLayout1->addWidget(line1, 1, 0, 1, 2);

    spacerItem1 = new QSpacerItem(21, 20, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout1->addItem(spacerItem1, 3, 1, 1, 1);

    summaryLabel = new QLabel(summaryTab);
    summaryLabel->setObjectName(QString::fromUtf8("summaryLabel"));
    summaryLabel->setAlignment(Qt::AlignTop);
    summaryLabel->setWordWrap(true);

    gridLayout1->addWidget(summaryLabel, 2, 0, 1, 2);

    tagsTab = new QWidget(kTabWidget);
    tagsTab->setObjectName(QString::fromUtf8("tagsTab"));
    gridLayout2 = new QGridLayout(tagsTab);
    gridLayout2->setSpacing(6);
    gridLayout2->setMargin(11);
    gridLayout2->setObjectName(QString::fromUtf8("gridLayout2"));
    gridLayout2->setContentsMargins(0, 0, 0, 0);
    textLabel1_2 = new QLabel(tagsTab);
    textLabel1_2->setObjectName(QString::fromUtf8("textLabel1_2"));
    textLabel1_2->setWordWrap(false);

    gridLayout2->addWidget(textLabel1_2, 1, 0, 1, 1);

    textLabel1 = new QLabel(tagsTab);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setWordWrap(false);

    gridLayout2->addWidget(textLabel1, 0, 0, 1, 1);

    textLabel1_6_6 = new QLabel(tagsTab);
    textLabel1_6_6->setObjectName(QString::fromUtf8("textLabel1_6_6"));
    textLabel1_6_6->setTextFormat(Qt::PlainText);
    textLabel1_6_6->setWordWrap(false);

    gridLayout2->addWidget(textLabel1_6_6, 5, 0, 1, 1);

    hboxLayout2 = new QHBoxLayout();
    hboxLayout2->setSpacing(6);
    hboxLayout2->setObjectName(QString::fromUtf8("hboxLayout2"));
    pushButton_guessTags = new QPushButton(tagsTab);
    pushButton_guessTags->setObjectName(QString::fromUtf8("pushButton_guessTags"));

    hboxLayout2->addWidget(pushButton_guessTags);

    pushButton_setFilenameSchemes = new QPushButton(tagsTab);
    pushButton_setFilenameSchemes->setObjectName(QString::fromUtf8("pushButton_setFilenameSchemes"));
    pushButton_setFilenameSchemes->setAutoDefault(false);

    hboxLayout2->addWidget(pushButton_setFilenameSchemes);


    gridLayout2->addLayout(hboxLayout2, 8, 1, 1, 1);

    textLabel_comment = new QLabel(tagsTab);
    textLabel_comment->setObjectName(QString::fromUtf8("textLabel_comment"));
    textLabel_comment->setTextFormat(Qt::PlainText);
    textLabel_comment->setWordWrap(false);

    gridLayout2->addWidget(textLabel_comment, 6, 0, 1, 1);

    pushButton_musicbrainz = new QPushButton(tagsTab);
    pushButton_musicbrainz->setObjectName(QString::fromUtf8("pushButton_musicbrainz"));

    gridLayout2->addWidget(pushButton_musicbrainz, 7, 1, 1, 1);

    textLabel1_4 = new QLabel(tagsTab);
    textLabel1_4->setObjectName(QString::fromUtf8("textLabel1_4"));
    textLabel1_4->setWordWrap(false);

    gridLayout2->addWidget(textLabel1_4, 4, 0, 1, 1);

    kComboBox_genre = new KComboBox(tagsTab);
    kComboBox_genre->setObjectName(QString::fromUtf8("kComboBox_genre"));
    QSizePolicy sizePolicy(static_cast<QSizePolicy::Policy>(7), static_cast<QSizePolicy::Policy>(0));
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(kComboBox_genre->sizePolicy().hasHeightForWidth());
    kComboBox_genre->setSizePolicy(sizePolicy);
    kComboBox_genre->setEditable(true);
    kComboBox_genre->setAutoCompletion(false);

    gridLayout2->addWidget(kComboBox_genre, 4, 1, 1, 1);

    kLineEdit_title = new KLineEdit(tagsTab);
    kLineEdit_title->setObjectName(QString::fromUtf8("kLineEdit_title"));

    gridLayout2->addWidget(kLineEdit_title, 0, 1, 1, 1);

    hboxLayout3 = new QHBoxLayout();
    hboxLayout3->setSpacing(6);
    hboxLayout3->setObjectName(QString::fromUtf8("hboxLayout3"));
    qSpinBox_track = new QSpinBox(tagsTab);
    qSpinBox_track->setObjectName(QString::fromUtf8("qSpinBox_track"));
    sizePolicy.setHeightForWidth(qSpinBox_track->sizePolicy().hasHeightForWidth());
    qSpinBox_track->setSizePolicy(sizePolicy);
    qSpinBox_track->setMaximum(3000);
    qSpinBox_track->setValue(0);

    hboxLayout3->addWidget(qSpinBox_track);

    textLabel1_5 = new QLabel(tagsTab);
    textLabel1_5->setObjectName(QString::fromUtf8("textLabel1_5"));
    textLabel1_5->setWordWrap(false);

    hboxLayout3->addWidget(textLabel1_5);

    qSpinBox_year = new QSpinBox(tagsTab);
    qSpinBox_year->setObjectName(QString::fromUtf8("qSpinBox_year"));
    sizePolicy.setHeightForWidth(qSpinBox_year->sizePolicy().hasHeightForWidth());
    qSpinBox_year->setSizePolicy(sizePolicy);
    qSpinBox_year->setMaximum(3000);
    qSpinBox_year->setValue(0);

    hboxLayout3->addWidget(qSpinBox_year);


    gridLayout2->addLayout(hboxLayout3, 5, 1, 1, 1);

    kTextEdit_comment = new KTextEdit(tagsTab);
    kTextEdit_comment->setObjectName(QString::fromUtf8("kTextEdit_comment"));
    kTextEdit_comment->setTextFormat(Qt::AutoText);
    kTextEdit_comment->setTabChangesFocus(true);

    gridLayout2->addWidget(kTextEdit_comment, 6, 1, 1, 1);

    textLabel1_3 = new QLabel(tagsTab);
    textLabel1_3->setObjectName(QString::fromUtf8("textLabel1_3"));
    textLabel1_3->setWordWrap(false);

    gridLayout2->addWidget(textLabel1_3, 3, 0, 1, 1);

    textLabel1_3_2 = new QLabel(tagsTab);
    textLabel1_3_2->setObjectName(QString::fromUtf8("textLabel1_3_2"));
    textLabel1_3_2->setWordWrap(false);

    gridLayout2->addWidget(textLabel1_3_2, 2, 0, 1, 1);

    hboxLayout4 = new QHBoxLayout();
    hboxLayout4->setSpacing(6);
    hboxLayout4->setObjectName(QString::fromUtf8("hboxLayout4"));
    kComboBox_album = new KComboBox(tagsTab);
    kComboBox_album->setObjectName(QString::fromUtf8("kComboBox_album"));
    sizePolicy.setHeightForWidth(kComboBox_album->sizePolicy().hasHeightForWidth());
    kComboBox_album->setSizePolicy(sizePolicy);
    kComboBox_album->setEditable(true);
    kComboBox_album->setAutoCompletion(false);

    hboxLayout4->addWidget(kComboBox_album);

    textLabel1_3_2_2 = new QLabel(tagsTab);
    textLabel1_3_2_2->setObjectName(QString::fromUtf8("textLabel1_3_2_2"));
    textLabel1_3_2_2->setWordWrap(false);

    hboxLayout4->addWidget(textLabel1_3_2_2);

    qSpinBox_discNumber = new QSpinBox(tagsTab);
    qSpinBox_discNumber->setObjectName(QString::fromUtf8("qSpinBox_discNumber"));
    sizePolicy.setHeightForWidth(qSpinBox_discNumber->sizePolicy().hasHeightForWidth());
    qSpinBox_discNumber->setSizePolicy(sizePolicy);
    qSpinBox_discNumber->setMinimumSize(QSize(50, 0));
    qSpinBox_discNumber->setMaximumSize(QSize(100, 32767));
    qSpinBox_discNumber->setMaximum(3000);
    qSpinBox_discNumber->setValue(0);

    hboxLayout4->addWidget(qSpinBox_discNumber);


    gridLayout2->addLayout(hboxLayout4, 3, 1, 1, 1);

    kComboBox_composer = new KComboBox(tagsTab);
    kComboBox_composer->setObjectName(QString::fromUtf8("kComboBox_composer"));
    sizePolicy.setHeightForWidth(kComboBox_composer->sizePolicy().hasHeightForWidth());
    kComboBox_composer->setSizePolicy(sizePolicy);
    kComboBox_composer->setEditable(true);

    gridLayout2->addWidget(kComboBox_composer, 2, 1, 1, 1);

    kComboBox_artist = new KComboBox(tagsTab);
    kComboBox_artist->setObjectName(QString::fromUtf8("kComboBox_artist"));
    sizePolicy.setHeightForWidth(kComboBox_artist->sizePolicy().hasHeightForWidth());
    kComboBox_artist->setSizePolicy(sizePolicy);
    kComboBox_artist->setEditable(true);
    kComboBox_artist->setAutoCompletion(false);

    gridLayout2->addWidget(kComboBox_artist, 1, 1, 1, 1);

    lyricsTab = new QWidget(kTabWidget);
    lyricsTab->setObjectName(QString::fromUtf8("lyricsTab"));
    hboxLayout5 = new QHBoxLayout(lyricsTab);
    hboxLayout5->setSpacing(6);
    hboxLayout5->setMargin(11);
    hboxLayout5->setObjectName(QString::fromUtf8("hboxLayout5"));
    hboxLayout5->setContentsMargins(0, 0, 0, 0);
    kTextEdit_lyrics = new KTextEdit(lyricsTab);
    kTextEdit_lyrics->setObjectName(QString::fromUtf8("kTextEdit_lyrics"));
    kTextEdit_lyrics->setTextFormat(Qt::PlainText);
    kTextEdit_lyrics->setTabChangesFocus(true);

    hboxLayout5->addWidget(kTextEdit_lyrics);

    statisticsTab = new QWidget(kTabWidget);
    statisticsTab->setObjectName(QString::fromUtf8("statisticsTab"));
    gridLayout3 = new QGridLayout(statisticsTab);
    gridLayout3->setSpacing(6);
    gridLayout3->setMargin(11);
    gridLayout3->setObjectName(QString::fromUtf8("gridLayout3"));
    gridLayout3->setContentsMargins(0, 0, 0, 0);
    trackArtistAlbumLabel2 = new QLabel(statisticsTab);
    trackArtistAlbumLabel2->setObjectName(QString::fromUtf8("trackArtistAlbumLabel2"));
    trackArtistAlbumLabel2->setAlignment(Qt::AlignVCenter);
    trackArtistAlbumLabel2->setWordWrap(true);

    gridLayout3->addWidget(trackArtistAlbumLabel2, 0, 0, 1, 1);

    spacerItem2 = new QSpacerItem(20, 200, QSizePolicy::Minimum, QSizePolicy::Expanding);

    gridLayout3->addItem(spacerItem2, 4, 2, 1, 1);

    statisticsLabel = new QLabel(statisticsTab);
    statisticsLabel->setObjectName(QString::fromUtf8("statisticsLabel"));
    statisticsLabel->setAlignment(Qt::AlignTop);
    statisticsLabel->setWordWrap(true);

    gridLayout3->addWidget(statisticsLabel, 3, 0, 1, 3);

    spacerItem3 = new QSpacerItem(431, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    gridLayout3->addItem(spacerItem3, 2, 0, 1, 1);

    scoreLabel = new QLabel(statisticsTab);
    scoreLabel->setObjectName(QString::fromUtf8("scoreLabel"));
    scoreLabel->setWordWrap(false);

    gridLayout3->addWidget(scoreLabel, 0, 1, 1, 1);

    ratingLabel = new QLabel(statisticsTab);
    ratingLabel->setObjectName(QString::fromUtf8("ratingLabel"));
    ratingLabel->setWordWrap(false);

    gridLayout3->addWidget(ratingLabel, 1, 1, 1, 1);

    qSpinBox_score = new QSpinBox(statisticsTab);
    qSpinBox_score->setObjectName(QString::fromUtf8("qSpinBox_score"));
    sizePolicy.setHeightForWidth(qSpinBox_score->sizePolicy().hasHeightForWidth());
    qSpinBox_score->setSizePolicy(sizePolicy);
    qSpinBox_score->setMaximum(100);
    qSpinBox_score->setValue(0);

    gridLayout3->addWidget(qSpinBox_score, 0, 2, 1, 1);

    kComboBox_rating = new KComboBox(statisticsTab);
    kComboBox_rating->setObjectName(QString::fromUtf8("kComboBox_rating"));

    gridLayout3->addWidget(kComboBox_rating, 1, 2, 1, 1);

    labelsTab = new QWidget(kTabWidget);
    labelsTab->setObjectName(QString::fromUtf8("labelsTab"));
    vboxLayout = new QVBoxLayout(labelsTab);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(11);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    vboxLayout->setContentsMargins(0, 0, 0, 0);
    labels_favouriteLabels = new QLabel(labelsTab);
    labels_favouriteLabels->setObjectName(QString::fromUtf8("labels_favouriteLabels"));
    labels_favouriteLabels->setWordWrap(false);

    vboxLayout->addWidget(labels_favouriteLabels);

    labels_favouriteLabelsFrame = new QWidget(labelsTab);
    labels_favouriteLabelsFrame->setObjectName(QString::fromUtf8("labels_favouriteLabelsFrame"));
    labels_favouriteLabelsFrame->setMinimumSize(QSize(0, 120));

    vboxLayout->addWidget(labels_favouriteLabelsFrame);

    labels_explanation = new QLabel(labelsTab);
    labels_explanation->setObjectName(QString::fromUtf8("labels_explanation"));
    QFont font;
    labels_explanation->setFont(font);
    labels_explanation->setWordWrap(false);

    vboxLayout->addWidget(labels_explanation);

    kTextEdit_selectedLabels = new KTextEdit(labelsTab);
    kTextEdit_selectedLabels->setObjectName(QString::fromUtf8("kTextEdit_selectedLabels"));

    vboxLayout->addWidget(kTextEdit_selectedLabels);


    gridLayout->addWidget(kTabWidget, 0, 0, 1, 1);

    textLabel1_2->setBuddy(kComboBox_artist);
    textLabel1->setBuddy(kLineEdit_title);
    textLabel1_6_6->setBuddy(qSpinBox_track);
    textLabel_comment->setBuddy(kTextEdit_comment);
    textLabel1_4->setBuddy(kComboBox_genre);
    textLabel1_5->setBuddy(qSpinBox_year);
    textLabel1_3->setBuddy(kComboBox_album);
    textLabel1_3_2->setBuddy(kComboBox_composer);
    textLabel1_3_2_2->setBuddy(qSpinBox_discNumber);
    QWidget::setTabOrder(kTabWidget, kLineEdit_title);
    QWidget::setTabOrder(kLineEdit_title, kComboBox_artist);
    QWidget::setTabOrder(kComboBox_artist, kComboBox_composer);
    QWidget::setTabOrder(kComboBox_composer, kComboBox_album);
    QWidget::setTabOrder(kComboBox_album, qSpinBox_discNumber);
    QWidget::setTabOrder(qSpinBox_discNumber, kComboBox_genre);
    QWidget::setTabOrder(kComboBox_genre, qSpinBox_track);
    QWidget::setTabOrder(qSpinBox_track, qSpinBox_year);
    QWidget::setTabOrder(qSpinBox_year, kTextEdit_comment);
    QWidget::setTabOrder(kTextEdit_comment, pushButton_musicbrainz);
    QWidget::setTabOrder(pushButton_musicbrainz, pushButton_guessTags);
    QWidget::setTabOrder(pushButton_guessTags, pushButton_setFilenameSchemes);
    QWidget::setTabOrder(pushButton_setFilenameSchemes, kTextEdit_lyrics);
    QWidget::setTabOrder(kTextEdit_lyrics, qSpinBox_score);
    QWidget::setTabOrder(qSpinBox_score, kComboBox_rating);
    QWidget::setTabOrder(kComboBox_rating, kLineEdit_location);
    QWidget::setTabOrder(kLineEdit_location, pushButton_open);
    QWidget::setTabOrder(pushButton_open, pushButton_previous);
    QWidget::setTabOrder(pushButton_previous, pushButton_next);
    QWidget::setTabOrder(pushButton_next, checkBox_perTrack);
    QWidget::setTabOrder(checkBox_perTrack, pushButton_ok);
    QWidget::setTabOrder(pushButton_ok, pushButton_cancel);

    retranslateUi(TagDialogBase);

    QMetaObject::connectSlotsByName(TagDialogBase);
    } // setupUi

    void retranslateUi(QDialog *TagDialogBase)
    {
    TagDialogBase->setWindowTitle(tr2i18n("Track Information", 0));
    pushButton_previous->setText(tr2i18n("&Previous", 0));
    pushButton_next->setText(tr2i18n("&Next", 0));
    checkBox_perTrack->setText(tr2i18n("Per Trac&k", 0));
    pushButton_ok->setText(tr2i18n("Sa&ve && Close", 0));
    pushButton_cancel->setText(tr2i18n("&Cancel", 0));
    locationLabel->setText(tr2i18n("Location:", 0));
    pushButton_open->setText(QString());
    trackArtistAlbumLabel->setText(tr2i18n("Track by Artist on Album", 0));
    summaryLabel->setText(QString());
    textLabel1_2->setText(tr2i18n("&Artist:", 0));
    textLabel1->setText(tr2i18n("T&itle:", 0));
    textLabel1_6_6->setText(tr2i18n("Trac&k:", 0));
    pushButton_guessTags->setText(tr2i18n("Guess Tags From &Filename", 0));
    pushButton_setFilenameSchemes->setText(tr2i18n("Filename &Schemes", 0));
    textLabel_comment->setText(tr2i18n("Co&mment:", 0));
    pushButton_musicbrainz->setText(tr2i18n("Fill-In Tags Using MusicBrain&z", 0));
    textLabel1_4->setText(tr2i18n("&Genre:", 0));
    qSpinBox_track->setSpecialValueText(QString());
    textLabel1_5->setText(tr2i18n("&Year:", 0));
    qSpinBox_year->setSpecialValueText(QString());
    kTextEdit_comment->setText(QString());
    textLabel1_3->setText(tr2i18n("Al&bum:", 0));
    textLabel1_3_2->setText(tr2i18n("&Composer:", 0));
    textLabel1_3_2_2->setText(tr2i18n("&Disc Number:", 0));
    qSpinBox_discNumber->setSpecialValueText(QString());
    kTextEdit_lyrics->setText(QString());
    trackArtistAlbumLabel2->setText(tr2i18n("Track by Artist on Album", 0));
    statisticsLabel->setText(QString());
    scoreLabel->setText(tr2i18n("Score:", 0));
    ratingLabel->setText(tr2i18n("Rating:", 0));
    qSpinBox_score->setSpecialValueText(QString());
    labels_favouriteLabels->setText(tr2i18n("Your favorite labels:", 0));
    labels_explanation->setText(tr2i18n("Edit the assigned labels below (multiple labels are separated by commas), or select a label from above.", 0));
    Q_UNUSED(TagDialogBase);
    } // retranslateUi

};

namespace Ui {
    class TagDialogBase: public Ui_TagDialogBase {};
} // namespace Ui

class TagDialogBase : public QDialog, public Ui::TagDialogBase
{
    Q_OBJECT

public:
    TagDialogBase(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~TagDialogBase();

protected slots:
    virtual void languageChange();

};

#endif // TAGDIALOGBASE_H

